Package Details: pijul 0.12.0-1

Git Clone URL: https://aur.archlinux.org/pijul.git (read-only, click to copy)
Package Base: pijul
Description: Patch-based distributed version control system
Upstream URL: https://pijul.org
Keywords: vcs
Licenses: GPL
Submitter: dywedir
Maintainer: None
Last Packager: JacobHenner
Votes: 11
Popularity: 0.006886
First Submitted: 2017-03-18 11:50
Last Updated: 2019-04-24 01:30

Latest Comments

aecepoglu commented on 2020-08-28 10:41

Can we at least know what version of rustc is needed?

JacobHenner commented on 2020-02-21 00:54

Indeed - perhaps there should be a separate AUR package for a build which requires a version of rust newer than the one provided by Arch?

lis commented on 2020-02-17 04:40

This version does not build with a current rustc, and the updated 0.12.2 isn't available on the website. It is on crates.io, though.

pkgver=0.12.2
#[…]
source=("$pkgname-$pkgver.tar.gz::https://crates.io/api/v1/crates/$pkgname/$pkgver/download")
sha256sums=('f92a3f4063e780ca45c161ceb0f42baf34dfeddf3359ebf6c2e0442d9abb5889')

spencerofl commented on 2019-09-27 08:43

I get the error when I try to run any pijul command.

error while loading shared libraries: libnettle.so.6: cannot open shared object file: No such file or directory

(I dunno if this is related to the reason it was out of date back in august.)

JacobHenner commented on 2019-08-07 13:53

Will update the package as soon as the patch release is added to the Pijul site.

Madeorsk commented on 2019-07-11 09:07

Build failed for me. bindgen-wrapper.h:19:10: fatal error: 'nettle/des-compat.h' file not found, err: true

EDIT: Apparently, the upgrade to nettle-3.5.1 breaks something. I downgraded it to nettle-3.4.1 and it works.

EDIT 2: ok DO NOT DO THIS unless you want to break your system.

sikmir commented on 2018-11-26 22:35

Build failed: error: failed to run custom build command for `openssl v0.9.24

yebenny commented on 2018-05-26 14:23

Pijul now depends on libsodium. Please add it to dependencies.

haawda commented on 2017-09-27 20:51

shasum is 1d73114cc89ed87d9f6208312c578b240aeefa55ea41f1f595f62d71fd00f102. but even after correcting this, a Cargo.toml is missing.

Edit: The PKGBUILD in the comment fixes this. http://sprunge.us/CbSE?sh

aperez commented on 2017-09-19 08:13

I have updated the PKGBUILD to 0.8.0 and also made it install manual pages (there's only one for now) and READMEs: http://sprunge.us/CbSE?sh

It would be nice to have the changes applied to the AUR PKGBUILD.